- include_role:
    name: per_user

- name: Configure gitconfig
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ account_homedir.stdout }}/{{ item.dest }}"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  when: "users[account_name.stdout].gitconfig is defined"
  loop:
    - src: "{{ users[account_name.stdout].gitconfig }}"
      dest: .gitconfig

- name: Copy files
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ account_homedir.stdout }}/{{ item.dest }}"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  loop:
    - src: ignore
      dest: .ignore
    - src: tmux.conf
      dest: .tmux.conf
    - src: gitignore_global
      dest: .gitignore_global

- import_tasks: tasks/peruser_freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/peruser_linux.yaml
  when: 'os_flavor == "linux"'
